Retrieve graph of conversations started for a given account
Returns the number of conversations started for a given account over the requested time window, grouped by day. A conversation is a suite of exchanges between two accounts: when it is triggered, an outgoing and an incoming delay apply before the related outgoing and incoming messages are actually sent and received. Consolidated data is returned up to 2 days ago.
Path Parameters
- Type: integerFormat: int32account
_id requiredInternal ID of the account the conversations belong to (as sender or recipient).
Query Parameters
- Type: stringenumprovider
Filter the graph by the other party's provider. One of
gmail,outlookorothers. When omitted, all providers are included.values- gmail
- outlook
- others
- Type: integerFormat: int32past
_days min:0max:180Number of past days to include in the graph. Maximum is 180.
Responses
- application/json
- application/json
Request Example for get/v1/conversation_statuses/{account_id}/graph
curl 'http://api.mailreach.co/api/v1/conversation_statuses/1234/graph?provider=gmail&past_days=14' \
--header 'X-Api-Key: YOUR_SECRET_TOKEN'
{
"labels": [
"Apr 10",
"Apr 11",
"Apr 12",
"Today"
],
"data": [
65,
74,
59,
26
],
"consolidated": true
}